#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua-packaging
version:              2.3.1
visibility:           public
id:                   hslua-packaging-2.3.1-CbpQYS7zAEV5zyesypXX0b
key:                  hslua-packaging-2.3.1-CbpQYS7zAEV5zyesypXX0b
license:              MIT
copyright:            © 2019-2024 Albert Krewinkel
maintainer:           tarleb@hslua.org
author:               Albert Krewinkel
homepage:             https://hslua.org/
synopsis:             Utilities to build Lua modules.
description:
    Utilities to package up Haskell functions and
    values into a Lua module.

    This package is part of HsLua, a Haskell framework
    built around the embeddable scripting language
    <https://lua.org Lua>.

category:             Foreign
abi:                  5a34a77cf48b6719df457f4675c771f7
exposed:              True
exposed-modules:
    HsLua.Packaging HsLua.Packaging.Convenience
    HsLua.Packaging.Documentation HsLua.Packaging.Function
    HsLua.Packaging.Module HsLua.Packaging.Rendering
    HsLua.Packaging.Types HsLua.Packaging.UDType

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hslua-packaging-2.3.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hslua-packaging-2.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua-packaging
hs-libraries:         HShslua-packaging-2.3.1-CbpQYS7zAEV5zyesypXX0b
depends:
    base-4.16.4.0 containers-0.6.5.1
    hslua-core-2.3.1-7JkHb9h2Hts84tF3wucXfk
    hslua-marshalling-2.3.1-68CSaoFxnvD9bkH3k7llmv
    hslua-objectorientation-2.3.0-FUbwujkGGlo42jIdHLCOuG
    hslua-typing-0.1.1-DsMUWZN0uluHDcSBrQvkQf mtl-2.2.2 text-1.2.5.0

haddock-interfaces:
    /usr/share/doc/haskell-hslua-packaging/html/hslua-packaging.haddock

haddock-html:         /usr/share/doc/haskell-hslua-packaging/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

